---
document: modulemd
version: 2
data:
  name: postgresql
  stream: "12"
  version: 8090020231221094149
  context: 9edba152
  arch: x86_64
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/12/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: e39f509d652f6053c7adb1d6d802c4aeebb33c5a
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 875f38603025140d34fae20aef403b3631893dfb
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: 367679d752777e496703986fdfdaf8d6ee61d9cb
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: cae5e8066a6cea9812df52b26547383a9bd28e84
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - pg_repack-0:1.4.6-3.module_el8.9.0+3702+283ddcc8.src
    - pg_repack-0:1.4.6-3.module_el8.9.0+3702+283ddcc8.x86_64
    - pg_repack-debuginfo-0:1.4.6-3.module_el8.9.0+3702+283ddcc8.x86_64
    - pg_repack-debugsource-0:1.4.6-3.module_el8.9.0+3702+283ddcc8.x86_64
    - pgaudit-0:1.4.0-5.module_el8.9.0+3702+283ddcc8.src
    - pgaudit-0:1.4.0-5.module_el8.9.0+3702+283ddcc8.x86_64
    - pgaudit-debuginfo-0:1.4.0-5.module_el8.9.0+3702+283ddcc8.x86_64
    - pgaudit-debugsource-0:1.4.0-5.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-0:12.17-1.module_el8.9.0+3702+283ddcc8.src
    - postgresql-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-contrib-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-contrib-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-debugsource-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-docs-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-docs-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-plperl-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-plperl-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-plpython3-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-plpython3-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-pltcl-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-pltcl-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-server-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-server-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-server-devel-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-server-devel-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-static-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-test-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-test-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-test-rpm-macros-0:12.17-1.module_el8.9.0+3702+283ddcc8.noarch
    - postgresql-upgrade-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-upgrade-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-upgrade-devel-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
    - postgresql-upgrade-devel-debuginfo-0:12.17-1.module_el8.9.0+3702+283ddcc8.x86_64
...
---
document: modulemd
version: 2
data:
  name: postgresql-devel
  stream: "12"
  version: 8090020231221094149
  context: 9edba152
  arch: x86_64
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
      postgresql: [12]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/12/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: e39f509d652f6053c7adb1d6d802c4aeebb33c5a
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 875f38603025140d34fae20aef403b3631893dfb
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: 367679d752777e496703986fdfdaf8d6ee61d9cb
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: cae5e8066a6cea9812df52b26547383a9bd28e84
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
